Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000802 [Piwigo] image processing minor always 2008.02.10 15:50 2008.07.09 23:03
Reporter tieum View Status public  
Assigned To plg
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.7.2 Product Version 1.7.1
  Target Version 1.7.2 Product Build
Summary 0000802: Rien ne se passe si php-gd n'est pas present
Description Si php-gd n'est pas present rien ne se passe quand on clique sur le outon "Valider" de la page de generation des miniatures.

Pourrais-t-on avoir un message d'erreur affiche ?
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version 5.0.45-6.fc8
PHP version 5.2.4-3
Web server Apache 2.2.6-3
Attached Files

- Relationships
related to 0000428closednikrou Contrôle l'activation de la librairie GD 
related to 0000446new Message si aucune image ajoutée dans la gallerie 

-  Notes
(0002224)
plg (manager)
2008.05.29 22:47

Ce problème semble déjà avoir été traité dans la 0000428

J'en conclus que la solution implémentée (éviter la page blanche) par nikrou ne te satisfait pas. Ce que je vais faire, c'est que si la fonction n'est pas présente, alors il y aura une popup lorsqu'on clique sur le bouton Valider. Ca irait mieux ?
(0002226)
VDigital (reporter)
2008.05.30 09:28

if (!extension_loaded('gd'))
{
  $smarty->clear_assign(array('U_THUMBNAILS'));
}

could be a better solution...
(0002281)
mathiasm (manager)
2008.07.05 00:52

With the 428 solution, the thumbnails page is simply reloaded, with no message in PWG 1.7.1

I think we should block as soon as the page is loaded, with a warning message and no thumbnails shown, even if no missing thumbnails found.
(0002290)
plg (manager)
2008.07.09 23:03

fixed on branch 1.7 in [Subversion] r2427
reported on trunk in [Subversion] r2428

An error is displayed in the error box saying "GD library is missing" even if no thumbnail generation was asked, but the rest of the page is displayed.

- Issue History
Date Modified Username Field Change
2008.02.10 15:50 tieum New Issue
2008.02.10 15:50 tieum browser => any
2008.02.10 15:50 tieum MySQL version => 5.0.45-6.fc8
2008.02.10 15:50 tieum PHP version => 5.2.4-3
2008.02.10 15:50 tieum Web server => Apache 2.2.6-3
2008.02.10 15:50 tieum Issue Monitored: tieum
2008.05.29 22:43 plg Relationship added related to 0000428
2008.05.29 22:47 plg Note Added: 0002224
2008.05.29 22:47 plg Assigned To => plg
2008.05.29 22:47 plg Status new => feedback
2008.05.30 09:28 VDigital Note Added: 0002226
2008.06.12 09:36 plg Target Version => 1.7.2
2008.07.05 00:52 mathiasm Note Added: 0002281
2008.07.05 02:30 mathiasm Relationship added related to 0000446
2008.07.09 23:03 plg Note Added: 0002290
2008.07.09 23:03 plg Status feedback => closed
2008.07.09 23:03 plg Resolution open => fixed
2008.07.09 23:03 plg Fixed in Version => 1.7.2


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker